# -*- coding: utf-8 -*-

# Copyright © 2018 by IBPort. All rights reserved.
# @Author: Neal Wong
# @Email: ibprnd@gmail.com

import os
import sys

import pytest


@pytest.fixture(scope='session')
def tmp():
    OS_WIN = sys.platform.startswith('win32') or sys.platform.startswith('cygwin')
    return os.getenv('Temp') if OS_WIN else '/tmp'

@pytest.fixture
def config_dir():
    return os.path.join(os.path.dirname(os.path.abspath(__file__)), 'data')

@pytest.fixture
def ini_config_path(config_dir):
    return os.path.join(config_dir, 'ini_config.ini')

@pytest.fixture
def yaml_config_path(config_dir):
    return os.path.join(config_dir, 'yaml_config.yml')
