# -*- coding: utf-8 -*-

# Copyright © 2018 by IBPort. All rights reserved.
# @Author: Neal Wong
# @Email: ibprnd@gmail.com

import os

import pytest

from cmutils.breakpoint_saver import BreakpointSaver


def test_breakpoint_saver(tmp):
    bp_path = os.path.join(tmp, '_bp')
    bp_saver = BreakpointSaver(bp_path)

    assert bp_saver.get_bp() is None

    bp_saver.save_bp('123456')
    assert bp_saver.get_bp() == '123456'

    bp_saver.clear_bp()
    assert bp_saver.get_bp() is None
