# -*- coding: utf-8 -*-

# Copyright © 2018 by IBPort. All rights reserved.
# @Author: Neal Wong
# @Email: ibprnd@gmail.com

from cmutils.config_loaders import IniConfigLoader, YamlConfigLoader

import pytest


def test_ini_config_loader(ini_config_path):
    with pytest.raises(ValueError):
        cl = IniConfigLoader('none-exist')

    cl = IniConfigLoader(ini_config_path)
    config = cl.load()
    assert 'general' in config
    assert config['general'].get('key1', None) == 'val1'

def test_yaml_config_loader(yaml_config_path):
    with pytest.raises(ValueError):
        cl = YamlConfigLoader('none-exist')

    cl = YamlConfigLoader(yaml_config_path)
    config = cl.load()
    assert 'general' in config
    assert config['general'].get('key1', None) == 'val1'
