# -*- coding: utf-8 -*-

# Copyright © 2018 by IBPort. All rights reserved.
# @Author: Neal Wong
# @Email: ibprnd@gmail.com

from io import BytesIO

from cmutils.misc import to_native_str
from cmutils.csv_exporter import CsvExporter

import pytest


def test_csv_exporter():
    fp = BytesIO()

    headers = ['name', 'sex', 'age']
    csv_exporter = CsvExporter(
        fp, fields_to_export=headers,
        encoding='utf-8', delimiter='\t')
    row1 = {
        'name': 'Tom',
        'sex': 'Male',
        'age': 12
    }
    csv_exporter.export_item(row1)

    target = [to_native_str('\t'.join(headers))]
    target.append(to_native_str('\t'.join([str(row1.get(header, '')) for header in headers])))
    exported = [line for line in to_native_str(fp.getvalue()).splitlines() if line]

    assert exported == target
