# -*- coding: utf-8 -*-

# Copyright © 2018 by IBPort. All rights reserved.
# @Author: Neal Wong
# @Email: ibprnd@gmail.com

import os
import time

from cmutils.heart_beater import HeartBeater

import pytest

def test_heart_beater(tmp):
    hb_path = os.path.join(tmp, '_heartbeat')
    live_seconds = 2.0
    hb = HeartBeater(hb_path, live_seconds / 60)

    assert not hb.is_alive()

    hb.beat()
    assert hb.is_alive()

    time.sleep(live_seconds)
    assert not hb.is_alive()

    hb.beat()
    assert hb.is_alive()

    hb.stop()
    assert not hb.is_alive()
