# -*- coding: utf-8 -*-

# Copyright © 2018 by IBPort. All rights reserved.
# @Author: Neal Wong
# @Email: ibprnd@gmail.com

import os

from cmutils.process_checker import ProcessChecker

import pytest

def test_process_checker(tmp):
    pc = ProcessChecker(tmp)
    pid = os.getpid()
    pc.save_pid(pid)

    pids = pc.get_pids()
    assert len(pids) == 1
    assert pid in pids
    assert pc.is_running(pid)

    pc.remove_pid(pid)

    pids = pc.get_pids()
    assert len(pids) == 0
